import request from '@/utils/request';

export function installerlist(limit, page) { // 设备类型
  return request({
    url: 'installer/installerlist?page=' + page + '&limit=' + limit,
    method: 'get',
  });
}

export function seekInstaller(data) { // 设备类型
  return request({
    url: 'installer/seekInstaller',
    method: 'post',
    data,
  });
}

export function deleteInsrall(id, type) { // 删除设备
  return request({
    url: 'installer/deleteinstaller?uid=' + id + '&type=' + type,
    method: 'get',
  });
}

export function addinstaller(data) { // 添加
  return request({
    url: 'installer/addinstaller',
    method: 'post',
    data,
  });
}

export function updateinstaller(id) { // 添加
  return request({
    url: 'installer/updateinstaller?id=' + id,
    method: 'get',
  });
}

export function postupdateinstaller(data) { // 添加
  return request({
    url: 'installer/updateinstaller',
    method: 'post',
    data,
  });
}

export function normalinstaller(id) { // 添加
  return request({
    url: 'installer/normalinstaller/' + id,
    method: 'get',
  });
}

